Mailinglist Archive: opensuse (3729 mails)

< Previous Next >
Re: [SLE] kaffeine and libGLcore.so.1
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: 25 Jun 2003 02:12:06 +0200
  • Message-id: <1056499926.1980.148.camel@xxxxxxxxxxxxxxxxx>
On Wed, 2003-06-25 at 02:09, John wrote:
> Yessir, I do have an nvidia card, and have the libGLcore.so.1.0.4363 (and
> the libGLcore.so.1, they're linked w/ each other).
> The .src.rpm came from PackMan's website ( http://packman.links2linux.de ),
> almost all of his .src.rpm's work well for me when I want to --rebuild my
> own. I have noticed this trouble with the nvidia libGLcore quite a while
> back, when I was trying to install gnomemeeting IIRR on this 8.2 machine.
> It's so strange that even linking the two doesn't seem to help any with
> certain apps (like this kaffeine).

Please note that rpm doesn't care, or even look at, what is actually on
your disk. It only looks at its database, and since the nvidia drivers
are no longer distributed as rpms, it doesn't find those libs.

The programs should work fine regardless, if you install with --nodeps
(assuming that is the only problem you see when you try to install)

The solution (workaround) to this is to create a dummy (empty) rpm,
which "Provides" libGLcore.so.1 so rpm can see it.


< Previous Next >
Follow Ups
References